I upgraded from M0 -> M2, broke my app, and now being forced to change my drivers to V5?!

Post was too long, so I wrote a blog post, don’t really need support, thought my shenanigans would help other devs here.